Oracle прекращает выпуск браузерного плагина Java

    К концу 2015 года разработчики ведущих браузеров или убрали поддержку встроенных плагинов, или анонсировали такие планы. Например, Mozilla собирается отказаться от поддержки плагинов NPAPI, потому что большинство их функций сейчас доступно через стандартные WebAPI. Chrome блокирует плагины NPAPI с апреля прошлого года. Браузер Edge тоже не поддерживает плагины. Таким образом, во всех ведущих браузерах скоро вообще не будет встроенной поддержки Flash, Silverlight, Java и др.

    В связи с этим компания Oracle объявила, что начиная с версии JDK 9 прекратит выпуск браузерного плагина Java. Он будет удалён из Oracle JDK и JRE в будущем релизе Java SE.

    Вполне логично: если плагин не поддерживается браузерами, то зачем его разрабатывать?

    Веб-разработчикам рекомендуют обратиться к альтернативным решениям, отказаться от работы с Java-апплетами, например, в пользу технологии Java Web Start, которая не нуждается в плагинах. Более подробно варианты миграции описаны в справочном руководстве (pdf).

    Доступ к предварительной версии JDK 9 здесь: http://jdk9.java.net/.

    На протяжении многих лет плагин Java был одним из основных способов установки malware на компьютеры пользователей. Скоро этот способ перестанет быть актуальным.

    Выпуск JDK 9 изначально был назначен на 22 сентября 2016 года, но затем его перенесли на 23 марта 2017 года.

    Similar posts

    AdBlock has stolen the banner, but banners are not teeth — they will be back

    More
    Ads

    Comments 39

      +11
      Интересно, а что будут делать банки, у которых клиент-банки как раз являются Java-апплетами?
        0
        Я уже давно использую IE11 для банков :(
          +1
          А если хочется использовать полноценные браузеры хотя бы из соображений безопасности (ХЗ, что за г… но к ослу прицепится...)? А если из соображений всё той же безопасности венда вообще не используется, поэтому есть только ФФ/Хром? У меня пока в ФФ всё работает, но вот что будет дальше — неизвестно. Видимо придется искать браузер с поддержкой жавы, есть такие вообще в природе ещё?
            0
            Как я вас понимаю

            0
            Перейдут на Java Web Start
              +18
              Что проще: перейти на Java Web Start или написать на сайте большими буквами «ИСПОЛЬЗУЙТЕ ТОЛЬКО IE6»??? Какой сложный выбор…
                +1
                Мне, как клиенту банка, несколько проще сменить банк по сравнению с необходимостью покупать и устанавливать Windows.
                Вменяемые руководители банков (подразделений) это понимают. К примеру, банк, в котором я обслуживаюсь, даже тарифами стимулирует предпринимателей переходить на чистого веб-клиента.
                  0
                  Предприниматели на чистом вебклиенте? Сколько видел банк-клиентов — все требуют всякую хрень для юр.лиц. Хотя с физ.лицами прекрасно работают через веб.
                    +3
                    Раскрою вам глаза. Даже Сбербанк предоставляет чистый веб-клиент для юрлиц, он называется «Сбербанк-Онлайн».
                    Перефразирую свои слова про вменяемых руководителей: банк, которому нужны клиенты, предоставляет сервис, доступный клиенту с минимальными клиента телодвижениями.
                      0
                      модульбанк дает доступ к ЛК без мороки с виндой.
                      +1
                      Что-то я сомневаюсь, что руководителя банка сильно беспокоит, что у Вас не Виндовс…
                        0
                        именно. Такие технические детали в b2b неинтересны
                      +1
                      6-й IE и требование обновить Java до версии 8.80? Ну-ну.
                      Кстати, не клиент-банком единым: платежи онлайн, внесение показаний счетчиков, отправка документов контрагенту…
                        0
                        Не знаю, как там в РФ, а на Украине законодательно требуется обеспечение использования ЭЦП при расчетах с юр. лицами. Потому р/с у меня с джавой и ключами, а карточки-ключи уже подвязаны к Приват24 для физ-лиц с модными QR-кодами, двойными аутентификациями и прочими блекджеками. И да, Приват24 для бизнеса мне пишет, что Мой Хром и Опера не поддерживаются.
                          0
                          Не пользуюсь приватом (принципиально), поэтому спрошу: а что же он поддерживает тогда из браузеров? Только ФФ? Укрсиббанк для физ.лиц — отлично работает везде (фф/хром/опера), а для юриков — стандартный для наших банков джавовский клиент с ключами. Работает в ФФ норм, но они уже повесили рекомендацию поставить вместо браузера ие. Убивать бы за такие рекомендации…
                            0
                            Бегемот еще не самый худший банк. Разработали криптопакет для подписи платежек — там раздел меню «NEW». Честно говоря, все лучше, чем несколько раз в неделю чистить кэш, чтобы подписало документы.
                            А вот импорт/экспорт — да, без вариантов.
                            0
                            Приват уже пару месяцев как позволяет подписывать платежи с помощью устанавливаемого крипто-пакета. Уже даже 2 обновления было. И быстрее (пока Ява стартует, пока проверится, пока сертификаты найдет...)
                          0
                          Написать один дескриптор не так уж и сложно.
                            0
                            Расскажите это вот этим господам (крупнейший банк Украины по объемы активов): image

                            Opera 34.0
                        +2
                        Так у них апплеты, иногда, на четвёртой-пятой джаве сделаны, а её можно в архивах достать.
                          +1
                          у бифита уже есть работа и без java, а у остальных в основном это activex или java web start
                            +1
                            Будь я таким банком, сделал бы на базе старенького firefox какого-нибудь, поддерживающего эти апплеты, приложение «банк-клиент» для работы с ними. Выход всегда есть, даже если этот выход не «переписать всё нафиг».
                              +3
                              У таких банков надо лицензию отбирать в первую очередь.
                                0
                                Как что: писать ActiveX апплеты, работающие только под IE9.
                                  +1
                                  Ну если так, то чего уже мелочиться — делать поделку на фокспро, работающую через модем и требующую вендовс-98. Гулять так гулять.
                                    0
                                    а вы зря так про фокспро. Сходить из него в базу данных и нарисовать в эксельке очень удобно.
                                      0
                                      s/очень удобно/очень удобно было в 90е/

                                      Мало того… Оно даже пока не протухло — попахивало, мягко говоря, не очень. Не, мож фокс под дос в начале 90х и рулил, но то, с чем довелось столкнуться в начале 00х… Это был мрак, и это — мягко сказано. Оно глючило даже не от пролетающих мимо ворон, а от песчаных бурь на Марсе.
                                +10
                                1. Хром, Хромиум и Опера перешли с NPAPI на PPAPI
                                2. Flash встроен в Хром и Edge
                                https://blogs.windows.com/msedgedev/2015/05/06/a-break-from-the-past-part-2-saying-goodbye-to-activex-vbscript-attachevent/
                                3. Firefox сделал исключение для Flash-a
                                https://blog.mozilla.org/futurereleases/2015/10/08/npapi-plugins-in-firefox/
                                  –6
                                  Понимаю что больно это осознавать, но Флешня уже года 3 как PPAPI. Замените его в списке убогих на юнити
                                    +7
                                    На протяжении многих лет плагин Java был одним из основных способов установки malware на компьютеры пользователей.

                                    Да?
                                      +1
                                      Да. https://www.cvedetails.com/vulnerability-list/vendor_id-93/product_id-19117/Oracle-JRE.html
                                      +3
                                      тоесть древние сервера с ipmi kvm на java можно начинать выкидывать?
                                        +4
                                        Могу адрес подсказать куда выкидывать ))))
                                          0
                                          Т.е. виртуалку со старой версией Java и Fifefox (старый IE тоже не помешает) можно заводить уже сейчас.
                                            0
                                            а это уже пора делать с тех пор, как SHA1 сертификаты забанили
                                            –2
                                            Оставить поддержку легаси-апплета, просто рисующего в заданном месте свое окно — это так сложно, ага, как же.

                                            Просто людям хочется освободить больше времени на поддержку чудес DOM, которые работают ну конееееечно быстрее апплетов (да-да, два мегабайта транслированного в байткод джаваскрипта и еще полмегабайта верстки плюс гиг картинок — это нормально для приложения из двух кнопок).

                                            «Веб-разработчикам рекомендуют»? Ха. Скорее уже «веб-разработчики протолкнули унификацию». Нас ждет скучный мир тормозных страничек, использующих HTML7, CSS5 и ECMAScript100500, весом в гигабайты.

                                            тормозилле/хромому это пойдет на пользу, ведь не будет видно, как эти нагромождения хаоса тормозят на топовом cpu — не с чем будет сравнивать. Освободятся ресурсы на багфиксы и придумывание новых фич.
                                              +1
                                              Выпуск JDK 9 назначен на 22 сентября 2016 года.
                                              Это устаревшая информация. В данный момент выпуск (GA) запланирован на 23 марта 2017 год. Был перенос из-за неуспевона по проекту Jigsaw.
                                                –2
                                                Ализар такой Ализар, да =)
                                                0
                                                Похоже пора раскапывать HotJava — единственный браузер, который сохранил поддержку JavaApplets.

                                                Only users with full accounts can post comments. Log in, please.